/* **********************************************************
 * Copyright (C) 1998-1999 VMWare, Inc.
 * All Rights Reserved
 * $Id: initblock.h,v 1.3 1999/04/30 19:41:32 patrick Exp $
 * **********************************************************/



#ifndef _INITBLOCK_H
#define _INITBLOCK_H


#include "vm_types.h"


#define MAX_LOGFILE_NAME_LENGTH 256
#define MAX_MONITOR_REGIONS     8
#define INIT_BLOCK_MAGIC     (0x1789+1)

typedef struct InitBlock {
   uint32 magicNumber;     /* Magic number (INIT_BLOCK_MAGIC) */
   uint32 flags;           /* option flags  (see below) */
   int logFD;
#ifdef _WIN32
   char logFileName[MAX_LOGFILE_NAME_LENGTH];
#endif
   void *sharedArea;
   void *crosspage;

   /*
    * output 
    */
   VmTimeStart st;
   Bool        smpMachine;

} InitBlock;


/*
 * Option flags 
 */
/* None yet */

#endif
