/* **********************************************************
 * Copyright (C) 1999 VMWare, Inc.
 * All Rights Reserved
 * $Id: memmgmt.h,v 1.3 1999/08/06 02:16:35 anil Exp $
 * **********************************************************/

/*
 * Memory management data structures passed between the user app
 * and the driver.
 */
#ifndef _MEMMGMT_H
#define _MEMMGMT_H

#include "vm_types.h"

//
// Data structures to pass to the GET_SET_INFO call to the driver.
// If any value is < 0, then the value is not set.
//
typedef struct VmMemMgmtInfo {
   int32   pageFaultRate;
   int32   lockFailRate;
   int32   maxLocked;
   int32   currentLocked;
   int32   highWaterMark;
   int32   waitingForMemoryTime;
   int32   poweringOn;
   int32   hasFocus;
} VmMemMgmtInfo;

typedef struct VmGetSetInfoInArgs {
   VmMemMgmtInfo info;
} VmGetSetInfoInArgs;

typedef struct VmGetSetInfoOutArgs {
   uint32         numVMs;
   uint32         numLockedPages;
   uint32         maxLockedPages;
   uint32         callerIndex;
   VmMemMgmtInfo  memMgmtInfo[1];
} VmGetSetInfoOutArgs;

#define VM_GET_INFO_SIZE(numVMs) ((numVMs - 1) * sizeof(VmMemMgmtInfo) + \
                                   sizeof(VmGetSetInfoOutArgs))

#endif
