/* **********************************************************
 * Copyright (C) 1998 VMWare, Inc.
 * All Rights Reserved
 * $Id: vm_oui.h,v 1.3 1999/08/03 23:45:38 chris Exp $
 * **********************************************************/
 
#ifndef _VM_OUI_H_
#define _VM_OUI_H_


/*
 * Our own OUI given by IEEE
 */

#define VMX86_OUI	0x005056


#define VMX86_OUI_SIZE	3

#define VMX86_OUI0	((uint8) (VMX86_OUI >> (VMX86_OUI_SIZE - 1) * 8))
#define VMX86_OUI1	((uint8) (VMX86_OUI >> (VMX86_OUI_SIZE - 2) * 8))
#define VMX86_OUI2	((uint8) (VMX86_OUI >> (VMX86_OUI_SIZE - 3) * 8))


/*
 * Top 2 bits of byte 3 of MAC address
 */

#define VMX86_MAC_PREFIX	0xc0
#define VMX86_MAC_FIXED		0x00		// user assigned
#define VMX86_MAC_RESERVED	0x40		// future expansion
#define VMX86_MAC_IPBASED	0x80		// host IP based assignment
#define VMX86_MAC_RANDOM	0xc0		// random assignment


/*
 * Bits left for MAC address assignment
 */

#define VMX86_MAC_BITS		22

/*
 *      Private ioctl calls for vnet/driverLinux/driver.c
 *      (taken from device-private ioctl space in sockios.h):
 *
 *      SIOCSKEEP (0x89F0) - set dealloc flag       - ioarg IN:  1 byte
 *      SIOCGKEEP (0x89F1) - get dealloc flag       - ioarg OUT: 1 byte
 *      SIOCSLADRF (0x89F2) - set logical address filter (for
 *         filtering multicast packets)             - ioarg IN:  2 bytes
 */
#define SIOCSKEEP         0x89F0
#define SIOCGKEEP         0x89F1
#define SIOCSLADRF        0x89F2
#endif

